LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-29-2012, 01:01 PM   #16
hanamilani
Member
 
Registered: Dec 2008
Posts: 66

Original Poster
Rep: Reputation: 0

I'm sorry if my words seem to be misleading. I installed nautilus by yast when I encountered this problem minutes ago. As I said it was not workable either.

hana@linux-n01q:~> zypper lr -u
# | Alias | Name | Enabled | Refresh | URI
--+----------------------------------+----------------------------------+---------+---------+-------------------------------------------------------------------------------
1 | GNOME:STABLE:3.0 | GNOME:STABLE:3.0 | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_11.4/
2 | Updates-for-openSUSE-11.4-11.4-0 | Updates for openSUSE 11.4 11.4-0 | Yes | Yes | http://download.opensuse.org/update/11.4/
3 | openSUSE-11.4-11.4-0 | openSUSE-11.4-11.4-0 | Yes | No | cd:///?devices=/dev/disk/by-id/ata-PLDS_DVD+_-RW_DU-8A3S_011120262145,/dev/sr0
4 | repo-debug | openSUSE-11.4-Debug | No | Yes | http://download.opensuse.org/debug/d...11.4/repo/oss/
5 | repo-debug-update | openSUSE-11.4-Update-Debug | No | Yes | http://download.opensuse.org/debug/update/11.4/
6 | repo-non-oss | openSUSE-11.4-Non-Oss | Yes | Yes | http://download.opensuse.org/distrib.../repo/non-oss/
7 | repo-oss | openSUSE-11.4-Oss | Yes | Yes | http://download.opensuse.org/distrib...11.4/repo/oss/
8 | repo-source | openSUSE-11.4-Source | No | Yes | http://download.opensuse.org/source/...11.4/repo/oss/
sara@linux-n01q:~>
 
Old 01-29-2012, 01:05 PM   #17
hanamilani
Member
 
Registered: Dec 2008
Posts: 66

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by arizonagroovejet View Post
If it wasn't already installed you'd get a message saying it wasn't installed. Also it appears to have been installed very recently

unless your system clock is wrong. So recent is that date that from the timezone I'm in, Sun 29 Jan 2012 07:57:59 PM is still several hours in the future.




It appears that is the nautilus-open-terminal package for use with GNOME 3. You have gnome-terminal from GNOME 2 which implies you're using GNOME 2 not GNOME 3. So where did you get that nautilus-open-terminal package from?

What repos do you have set up?

Code:
$ zypper lr -u
I'm sorry if my words seem to be misleading. I installed nautilus by yast when I encountered this problem minutes ago. As I said it was not workable either.

hana@linux-n01q:~> zypper lr -u
# | Alias | Name | Enabled | Refresh | URI
--+----------------------------------+----------------------------------+---------+---------+-------------------------------------------------------------------------------
1 | GNOME:STABLE:3.0 | GNOME:STABLE:3.0 | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_11.4/
2 | Updates-for-openSUSE-11.4-11.4-0 | Updates for openSUSE 11.4 11.4-0 | Yes | Yes | http://download.opensuse.org/update/11.4/
3 | openSUSE-11.4-11.4-0 | openSUSE-11.4-11.4-0 | Yes | No | cd:///?devices=/dev/disk/by-id/ata-PLDS_DVD+_-RW_DU-8A3S_011120262145,/dev/sr0
4 | repo-debug | openSUSE-11.4-Debug | No | Yes | http://download.opensuse.org/debug/d...11.4/repo/oss/
5 | repo-debug-update | openSUSE-11.4-Update-Debug | No | Yes | http://download.opensuse.org/debug/update/11.4/
6 | repo-non-oss | openSUSE-11.4-Non-Oss | Yes | Yes | http://download.opensuse.org/distrib.../repo/non-oss/
7 | repo-oss | openSUSE-11.4-Oss | Yes | Yes | http://download.opensuse.org/distrib...11.4/repo/oss/
8 | repo-source | openSUSE-11.4-Source | No | Yes | http://download.opensuse.org/source/...11.4/repo/oss/
 
Old 01-29-2012, 01:06 PM   #18
arizonagroovejet
Senior Member
 
Registered: Jun 2005
Location: England
Distribution: openSUSE, Fedora, CentOS
Posts: 1,078

Rep: Reputation: 195Reputation: 195
Quote:
Originally Posted by hanamilani View Post
1 | GNOME:STABLE:3.0 | GNOME:STABLE:3.0 | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_11.4/
Why do you have the GNOME 3 repo?

If you have added that repo before you installed nautilius-open-terminal then that is why you have nautilus-open-terminal for GNOME 3.
 
Old 01-29-2012, 01:09 PM   #19
hanamilani
Member
 
Registered: Dec 2008
Posts: 66

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by arizonagroovejet View Post
Why do you have the GNOME 3 repo?

If you have added that repo before you installed nautilius-open-terminal then that is why you have nautilus-open-terminal for GNOME 3.
Strange !!!
How to get GNOME 2?
 
Old 01-29-2012, 01:19 PM   #20
arizonagroovejet
Senior Member
 
Registered: Jun 2005
Location: England
Distribution: openSUSE, Fedora, CentOS
Posts: 1,078

Rep: Reputation: 195Reputation: 195
Quote:
Originally Posted by hanamilani View Post
Strange !!!
Why is it strange?
Quote:
Originally Posted by hanamilani View Post
How to get GNOME 2?
Delete the GNOME 3 repo.

Then you have to clean up any mess you've made by installing package from it.

You should be able to get a list of all the packages you installed from that repo with this command

Code:
$ rpm -qa --queryformat '%{name},%{distribution}\n' | grep "GNOME:STABLE:3.0"
Those are the packages you want to remove. Removing them may result in lots of other packages being removed that you actually want to keep, so best to remove them without dependency checks. This command should get a list of all the package names on one line.
Code:
$ rpm -qa --queryformat '%{name},%{distribution}\n' | grep "GNOME:STABLE:3.0" | cut -d , -f 1 | tr '\n' ' '
You can then output that to a file

Code:
$ rpm -qa --queryformat '%{name},%{distribution}\n' | grep "GNOME:STABLE:3.0" | cut -d , -f 1 | tr '\n' ' ' > packagesforgnome3.txt
Then remove those packages ignoring dependency issues
Code:
$ sudo rpm -e --nodeps $(cat packagesforgnome3.txt)
Then re-install them all
Code:
$ sudo zypper in -y $(cat packagesforgnome3.txt)

Last edited by arizonagroovejet; 01-29-2012 at 01:20 PM. Reason: formatting
 
Old 01-29-2012, 02:24 PM   #21
hanamilani
Member
 
Registered: Dec 2008
Posts: 66

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by arizonagroovejet View Post
Why is it strange?

Delete the GNOME 3 repo.

Then you have to clean up any mess you've made by installing package from it.

You should be able to get a list of all the packages you installed from that repo with this command

Code:
$ rpm -qa --queryformat '%{name},%{distribution}\n' | grep "GNOME:STABLE:3.0"
Those are the packages you want to remove. Removing them may result in lots of other packages being removed that you actually want to keep, so best to remove them without dependency checks. This command should get a list of all the package names on one line.
Code:
$ rpm -qa --queryformat '%{name},%{distribution}\n' | grep "GNOME:STABLE:3.0" | cut -d , -f 1 | tr '\n' ' '
You can then output that to a file

Code:
$ rpm -qa --queryformat '%{name},%{distribution}\n' | grep "GNOME:STABLE:3.0" | cut -d , -f 1 | tr '\n' ' ' > packagesforgnome3.txt
Then remove those packages ignoring dependency issues
Code:
$ sudo rpm -e --nodeps $(cat packagesforgnome3.txt)
Then re-install them all
Code:
$ sudo zypper in -y $(cat packagesforgnome3.txt)
Thanks for the time you put on me. I solved the problem...
Many thanks again...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Terminal not responding properly OpenSuse 11.4 ? danost Linux - Newbie 7 11-24-2011 06:22 AM
Wondering how to setup PPPoE from a terminal. Is it possible? (OPENsuse 11.4) nando321 SUSE / openSUSE 4 10-25-2011 09:37 AM
openSUSE 11.4 - trouble getting into gedit, kwrite, emacs from terminal as su rusty2 Linux - Software 4 05-10-2011 04:37 PM
OpenSuse Terminal text editor myubuntu Linux - Newbie 8 04-02-2010 11:14 PM
openSuSE 10.0 + Gnome 2.12 desktop... NO TERMINAL ON THE CONTEXT MENU! hamstar Linux - Software 1 12-08-2005 06:35 AM


All times are GMT -5. The time now is 04:43 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration